/**
 * @file ble_gatts.h
 * @brief BLE GATTS services.
 */

#ifndef _BLE_GATTS_H
#define _BLE_GATTS_H


/// Battery Service Attributes Indexes
enum
{
    BAS_IDX_SVC,

    BAS_IDX_BATT_LVL_CHAR,
    BAS_IDX_BATT_LVL_VAL,
    BAS_IDX_BATT_LVL_NTF_CFG,
    BAS_IDX_BATT_LVL_PRES_FMT,

    BAS_IDX_NB,
};


esp_err_t ble_balkon_gatts_register(void);
esp_err_t ble_balkon_gatts_app_register(void);
esp_err_t ble_balkon_gatts_set_mtu(void);

#endif
